/*
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 3 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef DISPLAY_H
#define DISPLAY_H   1

#include "common.h"

/* Length and multiplier of amplitude averaging window  */
#define AMPL_AVE_WIN        3
#define AMPL_AVE_MUL        2

/* Receive and Transmit status indicators */
#define RECV_OFF    _("<span background=\"lightgrey\"> RECEIVE (OFF) </span>")
#define RECV_ON     _("<span background=\"green\" foreground =\"white\"> RECEIVE (%s) </span>")
#define RECV_SBY    _("<span background=\"orange\"> RECEIVE (Standby) </span>")
#define XMIT_OFF    _("<span background=\"lightgrey\"> TRANSMIT (OFF) </span>")
#define XMIT_ON     _("<span background=\"red\" foreground =\"white\"> TRANSMIT (ON) </span>")

/* Scale FFT output bins */
#define IFFT_SCALE      64

#endif

